// 定义结构体时指定新类型名
#include <stdio.h>
#include <string.h>

typedef struct lrc_s
{
    unsigned int num;  // 时间
    char content[128]; // 歌词
} LRC;                 // LRC 是新类型名

int main()
{
    struct lrc_s line1;
    LRC line2 = {
        .num = 2,
        .content = "炊烟袅袅升起，隔江千万里"}; // LRC 是新类型名，可以直接使用

    line1.num = 1;
    strcpy(line1.content, "天青色等烟雨，而我在等你");

    printf("%d %s\n", line1.num, line1.content);
    printf("%d %s\n", line2.num, line2.content);

    return 0;
}